import * as React from "react";
import Alert from "@material-ui/lab/Alert";
import {Box, Typography} from "@material-ui/core";

type ModelTableAlertProps = {
  message: string;
}

export const ModelTableAlert: React.FunctionComponent<ModelTableAlertProps> = ({message}) => {
    return (
        <Box pb={1}>
            <Alert severity="info">
                <Typography>{message}</Typography>
            </Alert>
        </Box>
    );
};
