import * as React from 'react';
import {BreadModel, makeColumn, ModelTableDeleteButton} from "@rx-suite/ui";
import {t} from "@lingui/macro";
import {WorkflowStore} from "../../stores/WorkflowStore";
import {WorkflowForm} from "./WorkflowForm";

export const WorkflowBreadModel =() => {

    const columns = React.useMemo( () => {
        return [
            makeColumn('name', t`Name`, "string"),
        ];
    }, []);

    return (
        <BreadModel
            store={WorkflowStore}
            Form={WorkflowForm}
            columns={columns}
        />
    )
}