module PaperlessApi
  module Asynchronous
    module Responses
      class Launch < Response
        def handle_success
          @transaction.paperless_ticket.update!(ticket_template_id: @transaction.ticket_template_id)
          @transaction.paperless_ticket.order_record.update!(state: :launched)
        end

        def handle_failure_or_cancel
          @transaction.paperless_ticket.order_record.update!(state: :failed_launch)
        end
      end
    end
  end
end
