class CreateOrderRecordsTable < ActiveRecord::Migration[6.0]
  def change
    create_table :order_records do |t|
      t.string :number, null: false
      t.datetime :entry_time, null: false
      t.integer :state, default: 0 # default FETCHING
      t.datetime :last_action_time, null: false
      t.string :failed_reason, default: nil # should be nil unless state = FAILED
      t.integer :rx_data_order_id, default: nil
      t.boolean :is_hot_job, default: false

      t.timestamps
    end
  end
end
