class CreatePaperlessTickets < ActiveRecord::Migration[6.0]
  def change
    create_table :paperless_tickets do |t|
      t.string :ticket_barcode, index: { unique: true }, null: false
      t.references :order_record, null: true, foreign_key: {on_delete: :nullify}
      t.boolean :staged, null: false, default: false
      t.timestamps
    end
  end
end

