class CreatePaperlessApiTransaction < ActiveRecord::Migration[6.0]
  def change
    create_table :paperless_api_transactions do |t|
      t.belongs_to :paperless_ticket, null: false, foreign_key: {on_delete: :cascade}
      t.string :transaction_identifier, index: { unique: true }, null: false
      t.integer :state, null: false
      t.text :request_endpoint, null: false
      t.text :request_body, null: false
      t.text :response_body, default: nil

      t.timestamps
    end
  end
end
