class CreateTicketTemplates < ActiveRecord::Migration[6.0]
  def change
    create_table :ticket_templates do |t|
      t.string :process_name, null: false, index: { unique: true }
      t.string :template_name, null: false
      t.string :process_code, default: nil

      t.timestamps
    end
    add_reference :paperless_tickets, :ticket_template, null: true, foreign_key: true
    add_reference :paperless_api_transactions, :ticket_template, null: true, foreign_key: true
  end
end
