class AddDurationToPaperlessApiTransactions < ActiveRecord::Migration[6.1]
  def up
    add_column :paperless_api_transactions, :duration, :float
    add_column :paperless_api_transactions, :finished_at, :datetime

    execute('update paperless_api_transactions set duration=0, finished_at=created_at where state in (2,3,4)')
  end

  def down
    remove_column :paperless_api_transactions, :duration
  end
end
