class ChangeRequestEndpointIntoTransactionType < ActiveRecord::Migration[6.1]
  def up
    add_column :paperless_api_transactions, :transaction_type, :integer, :null => false, :default => 6
    remove_column :paperless_api_transactions, :request_endpoint

    PaperlessApiTransaction.update_all(transaction_type: :unknown)
  end

  def down
    add_column :paperless_api_transactions, :request_endpoint, :string, :null => false, :default => "unknown"
    remove_column :paperless_api_transactions, :transaction_type

    PaperlessApiTransaction.update_all(request_endpoint: 'unknown')
  end
end
