class AddSystemDefaultToTicketTemplates < ActiveRecord::Migration[6.1]
  def up
    add_column :ticket_templates, :system_default, :boolean, default: 0

    TicketTemplate.update_all(system_default: false)
    TicketTemplate.where(process_name: %w[launch release]).update(system_default: true)
  end

  def down
    remove_column :ticket_templates, :system_default
  end
end
