# Changelog

All notable changes to this project will be documented in this file. See [commit-and-tag-version](https://github.com/absolute-version/commit-and-tag-version) for commit guidelines.

## [1.1.5](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v1.1.4...v1.1.5) (2024-11-22)


### Bug Fixes

* allow ticket already attached to transaction to restart even where there is no staged ([193ae43](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/193ae434c956af499918cd3ad6b5e624f51eecbc))
* use created_at for performance monitor ([74d0d72](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/74d0d72da1cdff0d7047b4858cc0d94cb6271847))

## [1.1.4](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v1.1.3...v1.1.4) (2024-11-22)


### Bug Fixes

* external api returns order number ([3db971c](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/3db971c56a5b2ab2c7691c18d8714138874c3fe3))
* remove loading of token vien on click ([c5884e6](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/c5884e6df398e38f95dc9fb50bb9376785661f9c))

## [1.1.3](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v1.1.2...v1.1.3) (2024-11-22)


### Bug Fixes

* allow ticket failed prior to pairing to relaunch ([b6ba105](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/b6ba105b24cb7194a7cc5897b8a61d7cca51401a))
* allow ticket release when in failed state ([233c3d4](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/233c3d402b8563a538af647f66325f2b8ada90ad))
* launch now - when no ticket available, shows generic launch error, not no ticket available ([1a48a53](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/1a48a536449cb8ecf3299552bfd01c9efb5de281))
* order delete not working when in failed state ([6a8630d](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/6a8630d32fa9e9e15b4675cedeb91b6c594b6d04))
* show confirmation dialog on order delete ([fe0eaf6](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/fe0eaf6eee93856fbe084010524f058f961f4a33))

## [1.1.2](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v1.1.1...v1.1.2) (2024-11-22)


### Bug Fixes

* association work station not returning launch number for failed transacation requests ([e42c54d](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/e42c54d0edf5b41720629226178fa73f6ea1d2b0))
* wrong return value when order_record is duplicate ([6147f3a](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/6147f3a37f4e0df5743b76372b4176bb11f2039b))

## [1.1.1](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v1.1.0...v1.1.1) (2024-11-22)


### Bug Fixes

* tweak stage success message: successfully requested => successfully staged ([5f49ac7](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/5f49ac7ffa9cd6f4fbba7b1f90e34386c3292537))

## 1.1.0 (2024-11-21)


### Features

* added settings and seed ([05f6b4e](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/05f6b4ee3a74962c49d61be246958707da5c4c34))
* password reset button ([4d970b3](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/4d970b3858d6a53ec20c54bf029d7a62a42c6b26))


### Bug Fixes

* actually merge in the transaction id ([d6067a7](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/d6067a7cb6b0d0c728b68e42bb1bdf278057ee25))
* added barcode to order ([92fe5da](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/92fe5daa3d4d7909a481e178ad70a6940f9cadb9))
* added yalc to gitignore ([a4c0c81](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/a4c0c81b240f48e152b588c1eb139a896a847f32))
* adjust sepio endpoint to match docs ([24e413d](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/24e413d0431237752ee0e54f6a2e2061d1699959))
* Api Response helper not working ([a6e4edb](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/a6e4edb96a7884fcc8d82e0f1c96dc46f3e0ea1b))
* blink speed + ui tweaks ([f59009f](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/f59009f75bae1035e262c0bc409130758af085ad))
* build would fail ([6d8781b](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/6d8781b578f0febd4b53d6a0867d1ffe6878b34d))
* catch 404 properly ([966130f](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/966130f35b72d50925047658e7a9ddd75515253f))
* clone stores to work around fetch params being remembered ([9669ec0](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/9669ec0269f67a6674d5193755527230d094898b))
* couple minor ui fix ([045a599](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/045a599a71865c949d8876efa87ee5bb091f5cda))
* default hot job for order record is nil ([f4facc2](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/f4facc2cd91f25cd450fe87e3bd9a49c5e4a534c))
* default template has no workflow ([08ca3a1](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/08ca3a1867dbcb0493eeb9eb907b2f56b2a4f2d8))
* default worker set to 1 for start-up ([83147f9](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/83147f94253de07d0f0764908663f6c2f6c08cb5))
* delete order record on release ([3b75e41](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/3b75e41a96aa5878477d921c2f60c968848b3cb0))
* do not allow release on template change ([059be61](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/059be612044aede2bf797d215cb5ca6c062dcb22))
* do not cache fetch params ([57ebe6b](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/57ebe6b706a85618e3ad41fcccb95d9148536e95))
* dont call with empty tag list ([5399369](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/5399369dea9748f8ee8296a43419bd7b6a36b344))
* eagerload paperless ticket ([462cb74](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/462cb743abe9bec7f63a058daf3d796b55b31f52))
* endpoint url for change template ([dc11f3f](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/dc11f3f97ad3a47e7e837c656720c04b79599761))
* enum values ([804a738](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/804a738a8c588317ab719a26e144b355f7061213))
* get order data to send ([3def110](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/3def11006f22f8f12379fddeb9a8367e409e2307))
* hot job broadcasting ([c13640a](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/c13640acb0fa6af3dd0c2f1e9acfcba5c6ccd395))
* hot job broadcasting ([8e95021](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/8e9502104efac23c30d6c3bc39c44d6979dcb4e8))
* Invoke API helper ([a80f4e2](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/a80f4e22237d63e7a08dd48da7f964602d7abc5f))
* issues with cancel transaction ([e782fc9](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/e782fc93016ea501db8c8401069f5f36245403de))
* missing callback dep ([5dd7699](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/5dd7699d8ae112a63456f264a9fc02b1cfd53e97))
* need template as optional ([f99670a](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/f99670a5c103ef1735353bd41bd47d91bf73b39a))
* order data not loading ([099cfdf](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/099cfdf60120ab5ad764043234356394d724f8e3))
* release ticket fails when no ticket to stop blink ([55f99fe](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/55f99fe5b0b175cdc8a4f380fc73c7324bff7a5c))
* save rendered template on 'write' complete ([a0b4cb0](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/a0b4cb0ac62f714d0b9296bb64dab88739132ef9))
* show proper template in live order record bread ([ee43b1c](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/ee43b1c185e5aa4d1bd34de0ef9fb42dbe2b5e17))
* single ticket release with static data not working ([0200af6](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/0200af63c96f5fff548a1eaba4d768fbec996607))
* small code smell ([8f27fe1](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/8f27fe16681d950f9b411ecd1b2217ec30e4c8c7))
* small fixes ([ac2f5de](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/ac2f5deedda7afb48f8fa0408afb8140d8def4ef))
* store index ([5b44256](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/5b44256dd7a6dc3689c33020abb6981471e3130e))
* ticket find is called when scanning in bulk add ([d7a6633](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/d7a66332e30e864c33e27f85f41459e1fb3f702a))
* ticket release failing due to order FK ([5c2a0bb](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/5c2a0bbd3e0d6e6639dd9bab758d8b73f2d5f5fe))
* ticket.release => ticket.request_release ([31614e4](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/31614e4b8e1a62f4cd96ce83ab7a63a43c91860d))
* trying to set ticket as hot instead of order ([a9f5aec](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/a9f5aecdefc91e8e1da682a1e7f2bd72ce01f06b))
* tweak transaction tables to no rememberFetchParams ([8b77a82](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/8b77a82e1b8217ad8ef09aae26bab96dc4be6970))
* typo in default settings ([5d969a6](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/5d969a6b893109b9c9290578195814c1e4d5312c))
* use correct value for blink with hob job ([e3dda83](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/e3dda836d71f7b235309616d7e2898915267550b))
* yup small fix ([fc514a7](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/fc514a75e8c6bb891a2fb297d29a20375af8ddb5))

## [1.0.10](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/compare/v0.7.0-pre.7...v1.0.10) (2024-11-21)


### Bug Fixes

* added yalc to gitignore ([a4c0c81](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/a4c0c81b240f48e152b588c1eb139a896a847f32))
* build would fail ([6d8781b](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/6d8781b578f0febd4b53d6a0867d1ffe6878b34d))
* do not allow release on template change ([059be61](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/059be612044aede2bf797d215cb5ca6c062dcb22))
* single ticket release with static data not working ([0200af6](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/0200af63c96f5fff548a1eaba4d768fbec996607))
* yup small fix ([fc514a7](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/fc514a75e8c6bb891a2fb297d29a20375af8ddb5))

## [1.0.9](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/compare/v0.7.0-pre.7...v1.0.9) (2024-11-21)


### Bug Fixes

* added yalc to gitignore ([a4c0c81](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/a4c0c81b240f48e152b588c1eb139a896a847f32))
* build would fail ([6d8781b](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/6d8781b578f0febd4b53d6a0867d1ffe6878b34d))
* do not allow release on template change ([059be61](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/059be612044aede2bf797d215cb5ca6c062dcb22))
* single ticket release with static data not working ([0200af6](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/0200af63c96f5fff548a1eaba4d768fbec996607))
* yup small fix ([fc514a7](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/fc514a75e8c6bb891a2fb297d29a20375af8ddb5))

### [1.0.9](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v1.0.6...v1.0.9) (2024-11-21)


### Bug Fixes

* do not allow release on template change ([059be61](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/059be612044aede2bf797d215cb5ca6c062dcb22))
* single ticket release with static data not working ([0200af6](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/0200af63c96f5fff548a1eaba4d768fbec996607))

### [1.0.8](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v1.0.6...v1.0.8) (2024-11-21)


### Bug Fixes

* do not allow release on template change ([059be61](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/059be612044aede2bf797d215cb5ca6c062dcb22))
* single ticket release with static data not working ([0200af6](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/0200af63c96f5fff548a1eaba4d768fbec996607))

### [1.0.7-81184refatorpaperlesstransactionmodel.4](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v1.0.7-81184refatorpaperlesstransactionmodel.3...v1.0.7-81184refatorpaperlesstransactionmodel.4) (2024-11-21)

### [1.0.7-81184refatorpaperlesstransactionmodel.3](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v1.0.7-81184refatorpaperlesstransactionmodel.2...v1.0.7-81184refatorpaperlesstransactionmodel.3) (2024-11-20)

### [1.0.7-81184refatorpaperlesstransactionmodel.2](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v1.0.7-81184refatorpaperlesstransactionmodel.1...v1.0.7-81184refatorpaperlesstransactionmodel.2) (2024-11-20)

### [1.0.7-81184refatorpaperlesstransactionmodel.1](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v1.0.7-81184refatorpaperlesstransactionmodel.0...v1.0.7-81184refatorpaperlesstransactionmodel.1) (2024-11-19)


### Bug Fixes

* migration improper flagging old transaction ([2dc8132](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/2dc8132d34780c0d6b12648d7543b00e3fba31d6))
* send proper transaction for hot job/clear hot job ([8082a1c](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/8082a1c658c32f52051e6505367fd124dd37ad16))

### [1.0.7-81184refatorpaperlesstransactionmodel.0](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v1.0.6...v1.0.7-81184refatorpaperlesstransactionmodel.0) (2024-11-19)


### Bug Fixes

* send template name as part of payload ([cee8296](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/cee8296946d40f4eef0a15ab77e65ce9d6ce63b3))
* state column use real value instead of enum value ([8e14b22](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/8e14b2286ba15321164f53856abaef35f1bfae40))

### [1.0.6](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.7.0...v1.0.6) (2024-10-29)


### Bug Fixes

* build would fail ([6d8781b](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/6d8781b578f0febd4b53d6a0867d1ffe6878b34d))
* yup small fix ([fc514a7](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/fc514a75e8c6bb891a2fb297d29a20375af8ddb5))

### [1.0.5](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/compare/v0.7.0-pre.7...v1.0.5) (2024-10-03)


### Bug Fixes

* added yalc to gitignore ([a4c0c81](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/a4c0c81b240f48e152b588c1eb139a896a847f32))
* build would fail ([6d8781b](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/6d8781b578f0febd4b53d6a0867d1ffe6878b34d))
* yup small fix ([fc514a7](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/fc514a75e8c6bb891a2fb297d29a20375af8ddb5))

### [1.0.5](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/compare/v0.7.0-pre.7...v1.0.5) (2024-10-03)


### Bug Fixes

* added yalc to gitignore ([a4c0c81](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/a4c0c81b240f48e152b588c1eb139a896a847f32))
* build would fail ([6d8781b](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/6d8781b578f0febd4b53d6a0867d1ffe6878b34d))

### [1.0.5](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/compare/v0.7.0-pre.7...v1.0.5) (2024-10-03)


### Bug Fixes

* added yalc to gitignore ([a4c0c81](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/a4c0c81b240f48e152b588c1eb139a896a847f32))
* build would fail ([6d8781b](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/6d8781b578f0febd4b53d6a0867d1ffe6878b34d))

### [1.0.5](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/compare/v0.7.0-pre.7...v1.0.5) (2024-10-03)


### Bug Fixes

* added yalc to gitignore ([a4c0c81](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/a4c0c81b240f48e152b588c1eb139a896a847f32))
* build would fail ([6d8781b](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/6d8781b578f0febd4b53d6a0867d1ffe6878b34d))

### [1.0.4](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/compare/v0.7.0-pre.7...v1.0.4) (2024-09-26)


### Bug Fixes

* added yalc to gitignore ([a4c0c81](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/a4c0c81b240f48e152b588c1eb139a896a847f32))
* build would fail ([6d8781b](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/6d8781b578f0febd4b53d6a0867d1ffe6878b34d))

### [1.0.3](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/compare/v0.7.0-pre.7...v1.0.3) (2024-09-26)


### Bug Fixes

* added yalc to gitignore ([a4c0c81](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/a4c0c81b240f48e152b588c1eb139a896a847f32))
* build would fail ([6d8781b](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/6d8781b578f0febd4b53d6a0867d1ffe6878b34d))

### [1.0.2](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/compare/v0.7.0-pre.7...v1.0.2) (2024-09-26)


### Bug Fixes

* added yalc to gitignore ([a4c0c81](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/a4c0c81b240f48e152b588c1eb139a896a847f32))
* build would fail ([6d8781b](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/6d8781b578f0febd4b53d6a0867d1ffe6878b34d))

### [1.0.1](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/compare/v0.7.0-pre.7...v1.0.1) (2024-09-24)


### Bug Fixes

* added yalc to gitignore ([a4c0c81](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/a4c0c81b240f48e152b588c1eb139a896a847f32))
* build would fail ([6d8781b](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/6d8781b578f0febd4b53d6a0867d1ffe6878b34d))

## [0.7.0](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.7.0-pre.3...v0.7.0) (2024-09-06)


### Features

* password reset button ([4d970b3](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/4d970b3858d6a53ec20c54bf029d7a62a42c6b26))


### Bug Fixes

* added yalc to gitignore ([a4c0c81](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/a4c0c81b240f48e152b588c1eb139a896a847f32))
* default worker set to 1 for start-up ([83147f9](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/83147f94253de07d0f0764908663f6c2f6c08cb5))
* small fixes ([ac2f5de](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/ac2f5deedda7afb48f8fa0408afb8140d8def4ef))

## [0.7.0-pre.7](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/compare/v0.7.0-pre.6...v0.7.0-pre.7) (2024-09-04)


### Bug Fixes

* small fixes ([ac2f5de](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/ac2f5deedda7afb48f8fa0408afb8140d8def4ef))

## [0.7.0-pre.6](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/compare/v0.7.0-pre.5...v0.7.0-pre.6) (2024-07-23)


### Features

* password reset button ([4d970b3](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/4d970b3858d6a53ec20c54bf029d7a62a42c6b26))

## [0.7.0-pre.5](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/compare/v0.7.0-pre.4...v0.7.0-pre.5) (2024-07-10)


### Bug Fixes

* default worker set to 1 for start-up ([83147f9](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/83147f94253de07d0f0764908663f6c2f6c08cb5))

## [0.7.0-pre.4](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/compare/v0.7.0-pre.2...v0.7.0-pre.4) (2024-07-10)

## [0.7.0-pre.3](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.7.0-pre.1...v0.7.0-pre.3) (2024-04-18)


### Bug Fixes

* dont call with empty tag list ([5399369](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/5399369dea9748f8ee8296a43419bd7b6a36b344))
* get order data to send ([3def110](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/3def11006f22f8f12379fddeb9a8367e409e2307))
* need template as optional ([f99670a](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/f99670a5c103ef1735353bd41bd47d91bf73b39a))

## [0.7.0-pre.2](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/compare/v0.3.0-pre.3...v0.7.0-pre.2) (2024-04-17)


### Bug Fixes

* default hot job for order record is nil ([f4facc2](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/f4facc2cd91f25cd450fe87e3bd9a49c5e4a534c))
* dont call with empty tag list ([5399369](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/5399369dea9748f8ee8296a43419bd7b6a36b344))
* enum values ([804a738](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/804a738a8c588317ab719a26e144b355f7061213))
* get order data to send ([3def110](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/3def11006f22f8f12379fddeb9a8367e409e2307))
* issues with cancel transaction ([e782fc9](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/e782fc93016ea501db8c8401069f5f36245403de))
* need template as optional ([f99670a](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/f99670a5c103ef1735353bd41bd47d91bf73b39a))

## [0.7.0-pre.1](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.6.0-pre.2...v0.7.0-pre.1) (2024-04-15)

## [0.6.0-pre.2](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.6.0-pre.1...v0.6.0-pre.2) (2024-04-15)

## [0.6.0-pre.1](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.5.0-pre.3...v0.6.0-pre.1) (2024-04-09)

## [0.5.0-pre.3](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.5.0-pre.2...v0.5.0-pre.3) (2024-04-08)

## [0.5.0-pre.2](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.5.0-pre.1...v0.5.0-pre.2) (2024-04-08)


### Bug Fixes

* default hot job for order record is nil ([f4facc2](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/f4facc2cd91f25cd450fe87e3bd9a49c5e4a534c))
* issues with cancel transaction ([e782fc9](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/e782fc93016ea501db8c8401069f5f36245403de))

## [0.5.0-pre.1](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.4.0-pre.2...v0.5.0-pre.1) (2024-04-08)

## [0.4.0-pre.2](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.4.0-pre.1...v0.4.0-pre.2) (2024-04-08)

## [0.4.0-pre.1](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.3.0-pre.4...v0.4.0-pre.1) (2024-04-05)

## [0.3.0-pre.4](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.3.0-pre.1...v0.3.0-pre.4) (2024-04-03)


### Bug Fixes

* added barcode to order ([92fe5da](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/92fe5daa3d4d7909a481e178ad70a6940f9cadb9))
* blink speed + ui tweaks ([f59009f](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/f59009f75bae1035e262c0bc409130758af085ad))
* couple minor ui fix ([045a599](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/045a599a71865c949d8876efa87ee5bb091f5cda))
* enum values ([804a738](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/804a738a8c588317ab719a26e144b355f7061213))
* hot job broadcasting ([c13640a](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/c13640acb0fa6af3dd0c2f1e9acfcba5c6ccd395))
* hot job broadcasting ([8e95021](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/8e9502104efac23c30d6c3bc39c44d6979dcb4e8))
* trying to set ticket as hot instead of order ([a9f5aec](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/a9f5aecdefc91e8e1da682a1e7f2bd72ce01f06b))

## [0.3.0-pre.3](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/compare/v0.3.0-pre.2...v0.3.0-pre.3) (2024-04-03)


### Bug Fixes

* hot job broadcasting ([c13640a](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/c13640acb0fa6af3dd0c2f1e9acfcba5c6ccd395))
* hot job broadcasting ([8e95021](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/8e9502104efac23c30d6c3bc39c44d6979dcb4e8))

## [0.3.0-pre.2](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/compare/v0.1.1-pre.0...v0.3.0-pre.2) (2024-04-03)


### Bug Fixes

* added barcode to order ([92fe5da](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/92fe5daa3d4d7909a481e178ad70a6940f9cadb9))
* blink speed + ui tweaks ([f59009f](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/f59009f75bae1035e262c0bc409130758af085ad))
* couple minor ui fix ([045a599](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/045a599a71865c949d8876efa87ee5bb091f5cda))
* small code smell ([8f27fe1](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/8f27fe16681d950f9b411ecd1b2217ec30e4c8c7))
* trying to set ticket as hot instead of order ([a9f5aec](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/a9f5aecdefc91e8e1da682a1e7f2bd72ce01f06b))

## [0.3.0-pre.1](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.19...v0.3.0-pre.1) (2024-04-02)


### Bug Fixes

* small code smell ([8f27fe1](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/8f27fe16681d950f9b411ecd1b2217ec30e4c8c7))

### [0.1.1-pre.0](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/compare/v0.1.1-pre.23...v0.1.1-pre.0) (2024-03-27)

### [0.1.1-45902clearrequestorphantickets.0](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/compare/v0.1.1-pre.23...v0.1.1-45902clearrequestorphantickets.0) (2024-03-27)


### Bug Fixes

* raise when failed transaction ([4557fd8](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/4557fd8bd91d1bccd134c3cfe267f3f7f695ebf8))

### [0.1.1-pre.23](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/compare/v0.1.1-pre.22...v0.1.1-pre.23) (2024-03-15)

### [0.1.1-pre.22](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/compare/v0.1.1-pre.21...v0.1.1-pre.22) (2024-03-15)

### [0.1.1-pre.21](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/compare/v0.1.1-pre.20...v0.1.1-pre.21) (2024-03-15)

### [0.1.1-pre.20](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/compare/v0.1.1-pre.19...v0.1.1-pre.20) (2024-03-15)

### 0.1.1-pre.19 (2024-03-15)


### Features

* added settings and seed ([05f6b4e](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/05f6b4ee3a74962c49d61be246958707da5c4c34))


### Bug Fixes

* actually merge in the transaction id ([d6067a7](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/d6067a7cb6b0d0c728b68e42bb1bdf278057ee25))
* adjust sepio endpoint to match docs ([24e413d](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/24e413d0431237752ee0e54f6a2e2061d1699959))
* Api Response helper not working ([a6e4edb](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/a6e4edb96a7884fcc8d82e0f1c96dc46f3e0ea1b))
* catch 404 properly ([966130f](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/966130f35b72d50925047658e7a9ddd75515253f))
* clone stores to work around fetch params being remembered ([9669ec0](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/9669ec0269f67a6674d5193755527230d094898b))
* default template has no workflow ([08ca3a1](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/08ca3a1867dbcb0493eeb9eb907b2f56b2a4f2d8))
* delete order record on release ([3b75e41](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/3b75e41a96aa5878477d921c2f60c968848b3cb0))
* do not cache fetch params ([57ebe6b](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/57ebe6b706a85618e3ad41fcccb95d9148536e95))
* eagerload paperless ticket ([462cb74](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/462cb743abe9bec7f63a058daf3d796b55b31f52))
* endpoint url for change template ([dc11f3f](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/dc11f3f97ad3a47e7e837c656720c04b79599761))
* Invoke API helper ([a80f4e2](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/a80f4e22237d63e7a08dd48da7f964602d7abc5f))
* missing callback dep ([5dd7699](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/5dd7699d8ae112a63456f264a9fc02b1cfd53e97))
* order data not loading ([099cfdf](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/099cfdf60120ab5ad764043234356394d724f8e3))
* release ticket fails when no ticket to stop blink ([55f99fe](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/55f99fe5b0b175cdc8a4f380fc73c7324bff7a5c))
* save rendered template on 'write' complete ([a0b4cb0](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/a0b4cb0ac62f714d0b9296bb64dab88739132ef9))
* show proper template in live order record bread ([ee43b1c](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/ee43b1c185e5aa4d1bd34de0ef9fb42dbe2b5e17))
* store index ([5b44256](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/5b44256dd7a6dc3689c33020abb6981471e3130e))
* ticket find is called when scanning in bulk add ([d7a6633](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/d7a66332e30e864c33e27f85f41459e1fb3f702a))
* ticket release failing due to order FK ([5c2a0bb](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/5c2a0bbd3e0d6e6639dd9bab758d8b73f2d5f5fe))
* ticket.release => ticket.request_release ([31614e4](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/31614e4b8e1a62f4cd96ce83ab7a63a43c91860d))
* tweak transaction tables to no rememberFetchParams ([8b77a82](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/8b77a82e1b8217ad8ef09aae26bab96dc4be6970))
* typo in default settings ([5d969a6](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/5d969a6b893109b9c9290578195814c1e4d5312c))
* use correct value for blink with hob job ([e3dda83](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Paperless/commit/e3dda836d71f7b235309616d7e2898915267550b))

### [0.1.1-pre.18](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.17...v0.1.1-pre.18) (2024-02-07)

### [0.1.1-pre.17](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.16...v0.1.1-pre.17) (2024-02-07)

### [0.1.1-pre.16](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.15...v0.1.1-pre.16) (2024-02-07)


### Bug Fixes

* missing callback dep ([5dd7699](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/5dd7699d8ae112a63456f264a9fc02b1cfd53e97))

### [0.1.1-pre.15](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.14...v0.1.1-pre.15) (2024-02-07)


### Bug Fixes

* ticket find is called when scanning in bulk add ([d7a6633](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/d7a66332e30e864c33e27f85f41459e1fb3f702a))

### [0.1.1-pre.14](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.13...v0.1.1-pre.14) (2024-02-02)


### Bug Fixes

* tweak transaction tables to no rememberFetchParams ([8b77a82](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/8b77a82e1b8217ad8ef09aae26bab96dc4be6970))

### [0.1.1-pre.13](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.12...v0.1.1-pre.13) (2024-02-02)


### Bug Fixes

* do not cache fetch params ([57ebe6b](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/57ebe6b706a85618e3ad41fcccb95d9148536e95))

### [0.1.1-pre.12](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.11...v0.1.1-pre.12) (2024-02-02)


### Bug Fixes

* Api Response helper not working ([a6e4edb](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/a6e4edb96a7884fcc8d82e0f1c96dc46f3e0ea1b))

### [0.1.1-pre.11](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.10...v0.1.1-pre.11) (2024-02-02)


### Bug Fixes

* release ticket fails when no ticket to stop blink ([55f99fe](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/55f99fe5b0b175cdc8a4f380fc73c7324bff7a5c))

### [0.1.1-pre.10](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.9...v0.1.1-pre.10) (2024-02-02)


### Bug Fixes

* clone stores to work around fetch params being remembered ([9669ec0](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/9669ec0269f67a6674d5193755527230d094898b))
* Invoke API helper ([a80f4e2](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/a80f4e22237d63e7a08dd48da7f964602d7abc5f))
* ticket release failing due to order FK ([5c2a0bb](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/5c2a0bbd3e0d6e6639dd9bab758d8b73f2d5f5fe))
* use correct value for blink with hob job ([e3dda83](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/e3dda836d71f7b235309616d7e2898915267550b))

### [0.1.1-pre.8](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.9...v0.1.1-pre.8) (2024-02-01)


### Bug Fixes

* use correct value for blink with hob job ([e3dda83](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/e3dda836d71f7b235309616d7e2898915267550b))

### [0.1.1-pre.7](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.9...v0.1.1-pre.7) (2024-02-01)


### Bug Fixes

* use correct value for blink with hob job ([e3dda83](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/e3dda836d71f7b235309616d7e2898915267550b))

### [0.1.1-pre.6](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.9...v0.1.1-pre.6) (2024-02-01)


### Bug Fixes

* use correct value for blink with hob job ([e3dda83](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/e3dda836d71f7b235309616d7e2898915267550b))

### [0.1.1-pre.5](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.9...v0.1.1-pre.5) (2024-02-01)


### Bug Fixes

* use correct value for blink with hob job ([e3dda83](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/e3dda836d71f7b235309616d7e2898915267550b))

### [0.1.1-pre.4](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.9...v0.1.1-pre.4) (2024-01-17)


### Bug Fixes

* use correct value for blink with hob job ([e3dda83](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/e3dda836d71f7b235309616d7e2898915267550b))

### [0.1.1-pre.3](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.9...v0.1.1-pre.3) (2023-10-12)


### Bug Fixes

* use correct value for blink with hob job ([e3dda83](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/e3dda836d71f7b235309616d7e2898915267550b))

### [0.1.1-pre.2](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.9...v0.1.1-pre.2) (2023-10-12)


### Bug Fixes

* use correct value for blink with hob job ([e3dda83](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/e3dda836d71f7b235309616d7e2898915267550b))

### [0.1.1-pre.1](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.9...v0.1.1-pre.1) (2023-09-08)

### [0.1.1-pre.0](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.9...v0.1.1-pre.0) (2023-09-08)

### [0.1.1-paperlessimageloader.2](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-paperlessimageloader.1...v0.1.1-paperlessimageloader.2) (2023-09-07)

### [0.1.1-paperlessimageloader.1](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-paperlessimageloader.0...v0.1.1-paperlessimageloader.1) (2023-09-07)

### [0.1.1-paperlessimageloader.0](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.9...v0.1.1-paperlessimageloader.0) (2023-09-06)

### [0.1.1-pre.9](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.8...v0.1.1-pre.9) (2023-09-05)

### [0.1.1-pre.8](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.7...v0.1.1-pre.8) (2023-09-01)

### [0.1.1-pre.7](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.6...v0.1.1-pre.7) (2023-09-01)


### Bug Fixes

* eagerload paperless ticket ([462cb74](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/462cb743abe9bec7f63a058daf3d796b55b31f52))
* save rendered template on 'write' complete ([a0b4cb0](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/a0b4cb0ac62f714d0b9296bb64dab88739132ef9))
* show proper template in live order record bread ([ee43b1c](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/ee43b1c185e5aa4d1bd34de0ef9fb42dbe2b5e17))

### [0.1.1-pre.6](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.5...v0.1.1-pre.6) (2023-08-31)


### Bug Fixes

* actually merge in the transaction id ([d6067a7](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/d6067a7cb6b0d0c728b68e42bb1bdf278057ee25))
* adjust sepio endpoint to match docs ([24e413d](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/24e413d0431237752ee0e54f6a2e2061d1699959))
* catch 404 properly ([966130f](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/966130f35b72d50925047658e7a9ddd75515253f))
* order data not loading ([099cfdf](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/099cfdf60120ab5ad764043234356394d724f8e3))

### [0.1.1-pre.5](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.4...v0.1.1-pre.5) (2023-08-30)

### [0.1.1-pre.4](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.3...v0.1.1-pre.4) (2023-08-29)

### [0.1.1-pre.3](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.2...v0.1.1-pre.3) (2023-08-29)

### [0.1.1-pre.2](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.1...v0.1.1-pre.2) (2023-08-29)

### [0.1.1-pre.1](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/compare/v0.1.1-pre.0...v0.1.1-pre.1) (2023-08-29)

### 0.1.1-pre.0 (2023-08-29)


### Features

* added settings and seed ([05f6b4e](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/05f6b4ee3a74962c49d61be246958707da5c4c34))


### Bug Fixes

* delete order record on release ([3b75e41](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/3b75e41a96aa5878477d921c2f60c968848b3cb0))
* endpoint url for change template ([dc11f3f](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/dc11f3f97ad3a47e7e837c656720c04b79599761))
* store index ([5b44256](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/5b44256dd7a6dc3689c33020abb6981471e3130e))
* ticket.release => ticket.request_release ([31614e4](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Paperless/commit/31614e4b8e1a62f4cd96ce83ab7a63a43c91860d))
