module TransactionWrapperHelpers
  extend ActiveSupport::Concern

  def response_for_single_model_bulk_action(transaction_wrappers)
    unless transaction_wrappers[:failed].count > 0
      render json: {}, status: :ok
    else
      render json: {error: transaction_wrappers[0][:error], code: transaction_wrappers[0][:code]}, status: :unprocessable_entity
    end
  end
end