class SettingsController < ApplicationController
  model_data_store(Setting,
                   {create: false, read: true, update: true, delete: false, index: true},
                   {create: false, read: true, update: true, delete: false, index: true})

  private
    # Only allow a list of trusted parameters through.
    def model_params
      params.require(:setting).permit(:external_dcs_id,
                                      :job_folder_path,
                                      :job_regex,
                                      :job_search_color,
                                      :job_search_duration,
                                      :hot_job_color,
                                      :auto_launch,
                                      :max_launch_records,
                                      :paperless_api_url,
                                      :order_pairing_mode,
                                      :find_order_blink_speed,
                                      :hot_order_blink_speed,
                                      :order_number_tag
      )
    end
end
