class WorkflowsController < ApplicationController
  def self.set_targets_before
    super + [:ticket_counts]
  end

  model_data_store(Workflow)

  def ticket_counts
    render :ticket_counts
  end

  private
    # Only allow a list of trusted parameters through.
    def model_params
      params.require(:workflow).permit(:name)
    end
end
