module PaperlessApi
  module Asynchronous
    module Endpoints
      class Clear < Endpoint

        class << self
          def endpoint
            '/api/v1/tags/clear'
          end
        end

        def endpoint
          Clear.endpoint
        end

        def build_transaction_body(order_transaction, _)
          {
            stopBlink: order_transaction[:data][:stop_blink],
            data: order_transaction[:data][:fields]
          }
        end
      end
    end
  end
end
