module PaperlessApi
  module Asynchronous
    module Responses
      class SetHot < Response
        def handle_success
          @transaction.paperless_ticket.order_record.update!(is_hot_job: true, hot_job_toggling: false)
        end

        def handle_failure_or_cancel
          @transaction.paperless_ticket.order_record.update!(hot_job_toggling: false)
        end
      end
    end
  end
end
