class TicketTemplateField < ApplicationRecord
  belongs_to :ticket_template
  belongs_to :tag, required: false

  enum side: [:left, :right, :either]
  enum field_type: [:job_data, :ticket_data]

  class << self
    def blank_field_value
      ""
    end
  end
end
