class CleanApiTransactions < RxModule::Routine
  class << self
    def frequency
      '30m'
    end

    def work
      PaperlessApiTransaction
        .where(paperless_ticket_id: nil)
        .where(PaperlessApiTransaction.arel_table[:updated_at].lt(Time.zone.now.advance(hours: -12)))
        .destroy_all
    end
  end
end