class CreateSettings < ActiveRecord::Migration[6.0]
  def change
    create_table :settings do |t|
      t.integer :external_dcs_id
      t.string :job_folder_path
      t.string :job_regex
      t.string :job_search_color
      t.integer :job_search_duration
      t.string :hot_job_color
      t.boolean :auto_launch, default: false
      t.integer :max_launch_records, default: 5
      t.string :paperless_api_url
      t.timestamps
    end
  end
end
