class CreateTicketTemplateFields < ActiveRecord::Migration[6.0]
  def change
    create_table :ticket_template_fields do |t|
      t.string :zone_identifier, null: false
      t.integer :side, null: false
      t.string :formatter_regex, default: nil
      t.references :ticket_template, foreign_key: {on_delete: :cascade}, null: false
      t.references :tag, foreign_key: {on_delete: :cascade}, null: false

      t.timestamps
    end
  end
end
