class AddSortOrderToWorkstations < ActiveRecord::Migration[6.1]
  def up
    add_column :ticket_workstations, :display_order, :integer, default: 1, null: false

    TicketWorkstation.update(display_order: 1)
    TicketWorkstation.where(action: [:stage, :associate]).update(display_order: 0)
    TicketWorkstation.where(action: :release).update(display_order: 1000)
  end

  def down
    remove_column :ticket_workstations, :display_order
  end
end
