class AddSourceToPaperlessApiTransactions < ActiveRecord::Migration[6.1]
  def up
    add_column :paperless_api_transactions, :source, :string, {default: :SYSTEM, required: true}

    execute("update paperless_api_transactions set source='SYSTEM'")
  end

  def down
    remove_column :paperless_api_transactions, :source
  end
end
